http://www.perlmonks.org?node_id=11105684


in reply to Re^2: Minor API changes in 10-year-old module
in thread Minor API changes in 10-year-old module

Well, you can. It's more work but you could make this first new version behave like the old version, with aformentioned warnings, but also support the fixed API when they use it with use Module qw(:always-die); or use Module qw(:newapi); or whatever. Then your next version can switch to new api and silently ignore that flag.


holli

You can lead your users to water, but alas, you cannot drown them.